## vzctl-3.0.10.tar.bz2

=== Makefile ===
#  Copyright (C) 2000-2006 SWsoft. All rights reserved.
#
#  This program is free software; you can redistribute it and/or modify
#  it under the terms of the GNU General Public License as published by
#  the Free Software Foundation; either version 2 of the License, or
#  (at your option) any later version.
#
#  This program is distributed in the hope that it will be useful,
#  but WITHOUT ANY WARRANTY; without even the implied warranty of
#  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#  GNU General Public License for more details.
#
#  You should have received a copy of the GNU General Public License
#  along with this program; if not, write to the Free Software
#  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
#

DIRS=src
INSTALL = install
PREFIX = /usr
SBINDIR = ${PREFIX}/sbin

SCRIPTS=vzpid vzcpucheck vzmigrate

all install %::
	for file in ${DIRS}; do \
		(cd $$file && ${MAKE} -f Makefile $@)  \
	done

install::
	$(INSTALL) -d $(DESTDIR)$(SBINDIR)
	for file in $(SCRIPTS); do \
		$(INSTALL) -m 755 $$file $(DESTDIR)$(SBINDIR)/$$file; \
	done
	${MAKE} -C man $@
	${MAKE} -C etc/dists $@

tar:
	(VERSION=`awk '/Version:/{print $$2}' < vzctl.spec` && \
	rm -f ../vzctl-$$VERSION; ln -sf `pwd` ../vzctl-$$VERSION && \
	tar --directory ..  --exclude CVS --exclude .git --exclude \*.tar.bz2 -cvhjf vzctl-$$VERSION.tar.bz2 vzctl-$$VERSION; \
	rm -f ../vzctl-$$VERSION)

.PHONY: install tar

=== src/Makefile ===
#  Copyright (C) 2000-2006 SWsoft. All rights reserved.
#
#  This program is free software; you can redistribute it and/or modify
#  it under the terms of the GNU General Public License as published by
#  the Free Software Foundation; either version 2 of the License, or
#  (at your option) any later version.
#
#  This program is distributed in the hope that it will be useful,
#  but WITHOUT ANY WARRANTY; without even the implied warranty of
#  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#  GNU General Public License for more details.
#
#  You should have received a copy of the GNU General Public License
#  along with this program; if not, write to the Free Software
#  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
#
     INSTALL = install
      PREFIX = /usr
     SBINDIR = $(PREFIX)/sbin
      LIBDIR = $(PREFIX)/lib/vzctl
     CONFDIR = /etc/vz
   GLBCONFIG = $(CONFDIR)/vz.conf
  VPSCONFDIR = /etc/vz/conf
LIBSCRIPTSDIR = /usr/lib/vzctl/scripts/
  SCRIPTSDIR = /usr/share/vzctl/scripts
NETSCRIPTDIR = /etc/sysconfig/network-scripts
    CRONDDIR = /etc/cron.d
    INITDDIR = /etc/init.d
       VZDIR = /vz
    CACHEDIR = $(VZDIR)/template/cache
   VZLOCKDIR = $(VZDIR)/lock
   VZDUMPDIR = $(VZDIR)/dump
 VEIPDUMPDIR = /var/lib/vzctl/veip
     LOGRDIR = /etc/logrotate.d
     LIB_VER = 0.0.2

export LD_LIBRARY_PATH=.
CC = gcc
CFLAGS = -Wall -g2
SHAREDLIB_CFLAGS = -fPIC
#VZKERNEL_HEADERS ?= /lib/modules/$(shell uname -r)/build/include
INC = -I ../include
ARCH ?= $(shell uname -m)

OBJ_libvzctl = lib/env.lo lib/ub.lo lib/net.lo lib/logger.lo lib/exec.lo \
	lib/cap.lo lib/cpu.lo lib/res.lo lib/util.lo lib/dist.lo lib/list.lo \
	lib/script.lo lib/dev.lo lib/config.lo lib/lock.lo lib/quota.lo \
	lib/modules.lo lib/iptables.lo lib/fs.lo lib/create.lo lib/readelf.lo \
	lib/cpt.lo lib/destroy.lo lib/vps_configure.lo lib/meminfo.lo \
	lib/veth.lo
OBJ_simfs=lib/fs_simfs.lo
OBJ_vzctl = vzctl.o vzctl-actions.o modules.o enter.o
OBJ_vzlist = vzlist.o
OBJ_arp = arpsend.o
OBJ_split = vzsplit.o
OBJ_memcheck = vzmemcheck.o validate.o
OBJ_cfgvalidate = vzcfgvalidate.o validate.o
OBJ_calc = vzcalc.o
OBJ = $(OBJ_vzctl) $(OBJ_vzlist) $(OBJ_arp) $(OBJ_split) $(OBJ_memcheck) \
	$(OBJ_cfgvalidate) $(OBJ_calc)
LOBJ = $(OBJ_libvzctl) $(OBJ_simfs)
LIB_vzctl = libvzctl.so.$(LIB_VER)
LIB_simfs = libvzctl-simfs.so.$(LIB_VER)
LIB_fs = libvzctl-fs.so

LD_FLAGS = -L. -Wl,-rpath=$(LIBDIR)/lib -ldl
LIBSCRIPTS = vps-create vps-postcreate vps-net_add vps-net_del vps-stop \
     vps-functions

PROGS = vzctl vzlist arpsend vzsplit vzcfgvalidate vzmemcheck vzcalc
LIBS = $(LIB_vzctl) $(LIB_simfs)

INITSCRIPTS = vz
CRONSCRIPTS = vpsreboot vpsnetclean
SCRIPTS = vpsreboot vpsnetclean
NETSCRIPTS = ifcfg-venet0 ifdown-venet ifup-venet
VE0CONFIG = 0.conf
VECONFIG = ve-light.conf-sample ve-vps.basic.conf-sample 
VECONFIG_IA64 = ve-light.conf-sample ve-vps.basic.conf-sample
VECONFIG_X86_64 = ve-light.conf-sample ve-vps.basic.conf-sample

default: all

all: $(PROGS) $(LIBS)

check-version:
	@SPEC_VERSION=`awk ' \
	 /^Version:/ {printf "%s", $$2}'< ../vzctl.spec`; \
	H_VERSION=`awk '/#define[\t\ ]VERSION/ {print $$3}' < \
	../include/vzctl.h | tr -d \"`; \
	if test $$SPEC_VERSION != $$H_VERSION; then \
		echo "Version in vzctl.spec is $$SPEC_VERSION"; \
		echo "Version in vzctl.h is $$H_VERSION"; \
		echo "VERSION mismatch; please fix" 1>&2; \
		exit 1; \
	fi

%.o: %.c
	$(CC) -c $(CFLAGS) $(INC) $< -o $@

%.lo: %.c
	$(CC) -c $(CFLAGS) $(SHAREDLIB_CFLAGS) $(INC) $< -o $@

$(LIB_simfs) : $(OBJ_simfs)
	$(CC) $(CFLAGS) $(INC) $(LDFLAGS) $(OBJ_simfs) -shared -o $@

$(LIB_fs): $(LIB_simfs)
	ln -sf $(LIB_simfs) $(LIB_fs)

libvzctl.a: $(OBJ_libvzctl)
	ar scq $@ $+
	ranlib $@

$(LIB_vzctl) : $(LIB_simfs) $(OBJ_libvzctl)
	$(CC) $(CFLAGS) $(INC) $(LDFLAGS) $(OBJ_libvzctl) $(LD_FLAGS) -shared -o $@

vzctl-static: $(OBJ_vzctl) libvzctl.a
	$(CC) $(CFLAGS) $(INC) $(LDFLAGS) $(OBJ_vzctl) $(OBJ_simfs) libvzctl.a -rdynamic -ldl -lutil -o $@

vzctl: check-version $(LIB_vzctl) $(OBJ_vzctl) $(LIB_fs)
	$(CC) $(CFLAGS) $(INC) $(LDFLAGS) $(OBJ_vzctl) $(LD_FLAGS) $(LIB_vzctl) $(LIB_fs) -lutil -o $@

vzlist: $(OBJ_vzlist) $(LIB_vzctl) $(LIB_fs)
	$(CC) $(CFLAGS) $(INC) $(LDFLAGS) $(OBJ_vzlist) $(LD_FLAGS) $(LIB_fs) $(LIB_vzctl) -o $@

arpsend: $(OBJ_arp)
	$(CC) $(CFLAGS) $(INC) $(LDFLAGS) $^ -o $@

vzsplit: $(OBJ_split)
	$(CC) $(CFLAGS) $(INC) $(LDFLAGS) $^ -o $@

vzmemcheck: $(OBJ_memcheck) $(LIB_vzctl) $(LIB_fs)
	$(CC) $(CFLAGS) $(INC) $(LDFLAGS) $(LD_FLAGS) $(LIB_fs) $(LIB_vzctl) $^ -o $@

vzcfgvalidate: $(OBJ_cfgvalidate) $(LIB_vzctl) $(LIB_fs)
	$(CC) $(CFLAGS) $(INC) $(LDFLAGS) $^ $(LD_FLAGS) $(LIB_fs) $(LIB_vzctl) -o $@

vzcalc: $(OBJ_calc) $(LIB_vzctl) $(LIB_fs)
	$(CC) $(CFLAGS) $(INC) $(LDFLAGS) $^ $(LD_FLAGS) $(LIB_fs) $(LIB_vzctl) -o $@

inst-sbin :$(PROGS)
	for file in $(PROGS); do \
		$(INSTALL) -m 755 $$file $(DESTDIR)$(SBINDIR)/$$file; \
	done
install-lib: $(LIB_vzctl) $(LIB_fs)
	$(INSTALL) -d $(DESTDIR)$(LIBDIR)/lib
	$(INSTALL) -d $(DESTDIR)$(LIBSCRIPTSDIR)
	$(INSTALL) $(LIB_vzctl) $(DESTDIR)$(LIBDIR)/lib/$(LIB_vzctl)
	$(INSTALL) $(LIB_simfs) $(DESTDIR)$(LIBDIR)/lib/$(LIB_simfs)
	cp -a $(LIB_fs) $(DESTDIR)$(LIBDIR)/lib/$(LIB_fs)
	for file in $(LIBSCRIPTS); do 					\
		$(INSTALL) -m 755 ../etc/$$file $(DESTDIR)$(LIBSCRIPTSDIR)/$$file; \
	done
inst-scripts:
	for file in $(SCRIPTS); do \
		$(INSTALL) -m755 ../etc/$$file $(DESTDIR)$(SCRIPTSDIR)/$$file; \
	done
inst-netscripts:
ifneq "" "$(NETSCRIPTS)"
	$(INSTALL) -d $(DESTDIR)$(NETSCRIPTDIR)
	for file in $(NETSCRIPTS); do \
		$(INSTALL) -m 755 ../etc/$$file $(DESTDIR)$(NETSCRIPTDIR)/$$file; \
	done
endif
inst-configs:
	$(INSTALL) -m 644 ../etc/vz.conf $(DESTDIR)$(GLBCONFIG)
ifeq ($(ARCH),ia64)
	for file in $(VECONFIG_IA64); do \
		$(INSTALL) -m 644 ../etc/$$file.ia64 $(DESTDIR)$(VPSCONFDIR)/$$file; \
	done
	$(INSTALL) -m 644 ../etc/$(VE0CONFIG).ia64 $(DESTDIR)$(VPSCONFDIR)/$(VE0CONFIG)
else
ifeq ($(ARCH),x86_64)
	for file in $(VECONFIG_X86_64); do \
		$(INSTALL) -m 644 ../etc/$$file.x86_64 $(DESTDIR)$(VPSCONFDIR)/$$file; \
	done
	$(INSTALL) -m 644 ../etc/$(VE0CONFIG).x86_64 $(DESTDIR)$(VPSCONFDIR)/$(VE0CONFIG)
else
	for file in $(VECONFIG); do \
		$(INSTALL) -m 644 ../etc/$$file $(DESTDIR)$(VPSCONFDIR)/$$file; \
	done
	$(INSTALL) -m 644 ../etc/$(VE0CONFIG) $(DESTDIR)$(VPSCONFDIR)/$(VE0CONFIG)
endif
endif
inst-initd:
	for file in $(INITSCRIPTS); do \
		$(INSTALL) -m 755 ../etc/init.d/$$file $(DESTDIR)$(INITDDIR)/$$file; \
	done

inst-cron:
	for file in $(CRONSCRIPTS); do \
		$(INSTALL) -m 644 ../etc/cron.d/$$file $(DESTDIR)$(CRONDDIR)/$$file; \
	done

inst-dirs:
	$(INSTALL) -d $(DESTDIR)$(CONFDIR)
	$(INSTALL) -d $(DESTDIR)$(SBINDIR)
	$(INSTALL) -d $(DESTDIR)$(VPSCONFDIR)
	$(INSTALL) -d $(DESTDIR)$(LIBSCRIPTSDIR)
	$(INSTALL) -d $(DESTDIR)$(SCRIPTSDIR)
	$(INSTALL) -d $(DESTDIR)$(CRONDDIR)
	$(INSTALL) -d $(DESTDIR)$(INITDDIR)
	$(INSTALL) -d $(DESTDIR)$(VZLOCKDIR)
	$(INSTALL) -d $(DESTDIR)$(VZDUMPDIR)
	$(INSTALL) -d $(DESTDIR)$(LOGRDIR)
	$(INSTALL) -d $(DESTDIR)$(CACHEDIR)
	$(INSTALL) -d $(DESTDIR)$(VEIPDUMPDIR)
	$(INSTALL) -d $(DESTDIR)$(IPSTATEDIR)
	$(INSTALL) -m 644 ../etc/logrotate.d/vzctl $(DESTDIR)$(LOGRDIR)/vzctl

install: $(PROGS) inst-dirs install-lib inst-sbin inst-scripts \
	inst-netscripts inst-configs inst-initd inst-cron 
clean:
	rm -f *.o lib/*.lo $(PROGS) $(LIB_vzctl) $(LIB_fs) $(LIB_simfs) .depend

.depend:: $(OBJ:.o=.c) $(LOBJ:.lo=.c)
	$(CC) -M $(FLAGS) $(DEPFLAGS) $(INC) $^ >.depend

depend:: .depend

include .depend


.PHONY: clean depend install inst-dirs inst-config \
	inst-initd install-cron all default inst-config inst-lib inst-vzdir

=== etc/dists/Makefile ===
#  Copyright (C) 2000-2006 SWsoft. All rights reserved.
#
#  This program is free software; you can redistribute it and/or modify
#  it under the terms of the GNU General Public License as published by
#  the Free Software Foundation; either version 2 of the License, or
#  (at your option) any later version.
#
#  This program is distributed in the hope that it will be useful,
#  but WITHOUT ANY WARRANTY; without even the implied warranty of
#  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#  GNU General Public License for more details.
#
#  You should have received a copy of the GNU General Public License
#  along with this program; if not, write to the Free Software
#  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
#
INSTALL = install -m 644
DISTCONFDIR = /etc/vz/dists
DISTSCRIPTDIR = ${DISTCONFDIR}/scripts
DISTSCRIPTS = debian-add_ip.sh debian-del_ip.sh debian-set_hostname.sh 	\
	functions postcreate.sh redhat-7.x_add_ip.sh redhat-add_ip.sh 	\
	redhat-del_ip.sh redhat-set_hostname.sh set_dns.sh  		\
	set_ugid_quota.sh set_userpass.sh slackware-9.x_add_ip.sh 	\
	slackware-9.x_del_ip.sh slackware-add_ip.sh slackware-del_ip.sh \
	slackware-set_hostname.sh suse-7.x_add_ip.sh suse-8.x_add_ip.sh \
	suse-8.x_del_ip.sh suse-add_ip.sh suse-del_ip.sh 		\
	suse-set_hostname.sh gentoo-add_ip.sh gentoo-del_ip.sh 		\
	gentoo-set_hostname.sh gentoo-set_ugid_quota.sh slackware-set_ugid_quota.sh

REDHAT_7x_VER = 7.0 7.1 7.2 7.3
REDHAT_VER = 8.0 9
CENTOS_VER = 3 4
RHEL_VER = 3 4
FC_VER = 1 2 3 4
SUSE_7x_VER = 7.3
SUSE_8x_VER = 8.0 8.1 8.2
SUSE_VER = 9.0 9.1 9.2 9.3
DEBIAN_VER = 3.0 3.1
UBUNTU_VER = 5.1
SLACK_9x_VER = 9.0 9.1
SLACK_VER = 10.0 10.1
SLES_VER = 9

all:

redhat:
	$(INSTALL) redhat.conf $(DESTDIR)$(DISTCONFDIR)/redhat.conf
	for ver in $(REDHAT_VER); do \
		$(INSTALL) redhat.conf \
		    $(DESTDIR)$(DISTCONFDIR)/redhat-$$ver.conf; \
	done
	for ver in $(REDHAT_7x_VER); do \
		$(INSTALL) redhat-7.3.conf \
			$(DESTDIR)$(DISTCONFDIR)/redhat-$$ver.conf; \
	done
centos:
	$(INSTALL) centos.conf $(DESTDIR)$(DISTCONFDIR)/centos.conf
	for ver in $(CENTOS_VER); do \
		$(INSTALL) centos.conf \
		    $(DESTDIR)$(DISTCONFDIR)/centos-$$ver.conf; \
	done
rhel:
	for ver in $(RHEL_VER); do \
		$(INSTALL) rhel-3.conf \
		    $(DESTDIR)$(DISTCONFDIR)/rhel-$$ver.conf; \
	done
fc:
	$(INSTALL) fedora-core.conf $(DESTDIR)$(DISTCONFDIR)/fedora-core.conf
	for ver in $(FC_VER); do \
		$(INSTALL) fedora-core.conf \
		    $(DESTDIR)$(DISTCONFDIR)/fedora-core-$$ver.conf; \
	done
suse:
	for ver in $(SUSE_7x_VER); do \
		$(INSTALL) suse-7.3.conf \
		    $(DESTDIR)$(DISTCONFDIR)/suse-$$ver.conf; \
	done
	for ver in $(SUSE_8x_VER); do \
		$(INSTALL) suse-8.0.conf \
		    $(DESTDIR)$(DISTCONFDIR)/suse-$$ver.conf; \
	done
	for ver in $(SUSE_VER); do \
		$(INSTALL) suse.conf \
		    $(DESTDIR)$(DISTCONFDIR)/suse-$$ver.conf; \
	done
	$(INSTALL) suse.conf $(DESTDIR)$(DISTCONFDIR)/suse.conf
	$(INSTALL) suse.conf $(DESTDIR)$(DISTCONFDIR)/opensuse.conf
sles:
	for ver in $(SLES_VER); do \
		$(INSTALL) sles.conf \
		    $(DESTDIR)$(DISTCONFDIR)/sles-$$ver.conf; \
	done
	$(INSTALL) sles.conf $(DESTDIR)$(DISTCONFDIR)/sles.conf
debian:
	for ver in $(DEBIAN_VER); do \
		$(INSTALL) debian.conf \
		    $(DESTDIR)$(DISTCONFDIR)/debian-$$ver.conf; \
	done
	$(INSTALL) debian.conf $(DESTDIR)$(DISTCONFDIR)/debian.conf
ubuntu:
	for ver in $(UBUNTU_VER); do \
		$(INSTALL) debian.conf \
		    $(DESTDIR)$(DISTCONFDIR)/ubuntu-$$ver.conf; \
	done
	$(INSTALL) debian.conf $(DESTDIR)$(DISTCONFDIR)/ubuntu.conf
slack:
	for ver in $(SLACK_9x_VER); do \
		$(INSTALL) slackware-9.0.conf \
		$(DESTDIR)$(DISTCONFDIR)/slackware-$$ver.conf; \
	done
	for ver in $(SLACK_VER); do \
		$(INSTALL) slackware.conf \
		    $(DESTDIR)$(DISTCONFDIR)/slackware-$$ver.conf; \
	done
	$(INSTALL) slackware.conf $(DESTDIR)$(DISTCONFDIR)/slackware.conf
gentoo:
	$(INSTALL) gentoo.conf $(DESTDIR)$(DISTCONFDIR)/gentoo.conf
mandrake:
	$(INSTALL) mandrake.conf $(DESTDIR)$(DISTCONFDIR)/mandrake.conf


inst-dirs:
	install -d $(DESTDIR)$(DISTCONFDIR)
	install -d $(DESTDIR)$(DISTSCRIPTDIR)
	$(INSTALL) distribution.conf-template $(DESTDIR)$(DISTCONFDIR)/distribution.conf-template
	$(INSTALL) default $(DESTDIR)$(DISTCONFDIR)/default

inst-distscripts:
	for file in $(DISTSCRIPTS); do \
		install scripts/$$file $(DESTDIR)$(DISTSCRIPTDIR)/$$file; \
	done


install: inst-dirs inst-distscripts redhat centos rhel fc suse debian slack \
	gentoo mandrake sles ubuntu
	

.PHONY: install redhat centos rhel fc suse debian slack gentoo mandrake \
	inst-dirs inst-distscripts ubuntu

=== debian/changelog ===
vzctl (3.0.0.8-1) unstable; urgency=low

  * Initial release, closes: #360869.

 -- Ola Lundqvist <opal@debian.org>  Tue, 25 Apr 2006 21:13:14 +0200

=== debian/control ===
Source: vzctl
Section: admin
Priority: optional
Maintainer: Ola Lundqvist <opal@debian.org>
Build-Depends: debhelper (>= 4.0.0)
Standards-Version: 3.6.2

Package: vzctl
Architecture: any
Depends: vzkernel, vzquota, iproute, gawk, tar, ${shlibs:Depends}, ${misc:Depends}
Description: server virtualization solution - control tools
 OpenVZ is an Operating System-level server virtualization solution, built
 on Linux. OpenVZ creates isolated, secure virtual private servers on a single
 physical server enabling better server utilization and ensuring that
 applications do not conflict. Each VPS performs and executes exactly like a
 stand-alone server; VPSs can be rebooted independently and have root access,
 users, IP addresses, memory, processes, files, applications, system libraries
 and configuration files.
 .
 This package contain the control tool to manipulate the virtual servers.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1




CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif

configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.

	touch configure-stamp


build: build-stamp

build-stamp: configure-stamp 
	dh_testdir

	# Add here commands to compile the package.
	$(MAKE)
	#docbook-to-man debian/vzctl.sgml > vzctl.1

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	# Add here commands to clean up after the build process.
	-$(MAKE) clean

	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs

	# Add here commands to install the package into debian/vzctl.
	$(MAKE) install DESTDIR=$(CURDIR)/debian/vzctl VZDIR=/var/lib/vz \
		VPSCONFDIR=/etc/vz/conf NETSCRIPTS=
	# Install Debian specific vz.conf
	install -m 644 $(CURDIR)/debian/vz.conf $(CURDIR)/debian/vzctl/etc/vz/ 

# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs ChangeLog
	dh_installdocs
	dh_installexamples
#	dh_install
#	dh_installmenu
#	dh_installdebconf	
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_installinit
#	dh_installcron
#	dh_installinfo
	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_perl
#	dh_python
#	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure
